diff tests/test-extdiff @ 3328:49966b5ab16f

fix traceback of extdiff after a merge - files that comes from a different branch are marked as modified but aren't present in the original manifest - add a testcase for extdiff and for regular diff
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Wed, 11 Oct 2006 16:35:09 +0200
parents 61fcd9fac434
children 797c6e70092b
line wrap: on
line diff
--- a/tests/test-extdiff
+++ b/tests/test-extdiff
@@ -26,4 +26,13 @@ hg ci -d '0 0' -mtest1
 echo b >> a
 hg ci -d '1 0' -mtest2
 
-hg falabala -r 0:1 || echo "diff-like tools yield a non-zero exit code"
+hg falabala -r 0:1
+
+# test diff during merge
+hg update 0
+echo b >> b
+hg add b
+hg ci -m "new branch" -d '1 0'
+hg update -C 1
+hg merge tip
+hg falabala || echo "diff-like tools yield a non-zero exit code"